MetalFileChooserUI.FilterComboBoxModel (Java SE 12 & JDK 12 )
Keywords: javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxModel class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalFileChooserUI.FilterComboBoxModel

- java.lang.Object
- - javax.swing.AbstractListModel<Object>
  - - javax.swing.plaf.metal.MetalFileChooserUI.FilterComboBoxModel

- All Implemented Interfaces:
    `PropertyChangeListener`, `Serializable`, `EventListener`, `ComboBoxModel<Object>`, `ListModel<Object>`
  Enclosing class:
    MetalFileChooserUI

      protected class MetalFileChooserUI.FilterComboBoxModel
      extends AbstractListModel<Object>
      implements ComboBoxModel<Object>, PropertyChangeListener

  Data model for a type-face selection combo-box.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FileFilter[]` | `filters` | An array of file filters.

    - ### Fields declared in class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FilterComboBoxModel()` | Constructs an instance of `FilterComboBoxModel`.

  - ### Method Summary

    - ### Methods declared in class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.ComboBoxModel

      `getSelectedItem, setSelectedItem`

    - ### Methods declared in interface javax.swing.ListModel

      `addListDataListener, getElementAt, getSize, removeListDataListener`

    - ### Methods declared in interface java.beans.PropertyChangeListener

      `propertyChange`

- - ### Field Detail

    - #### filters

          protected FileFilter[] filters

      An array of file filters.

  - ### Constructor Detail

    - #### FilterComboBoxModel

          protected FilterComboBoxModel()

      Constructs an instance of `FilterComboBoxModel`.